package org.gatein.examples;

import java.io.IOException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletRequestDispatcher;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import javax.xml.namespace.QName;

/**
 * portlet1 Portlet Class
 */
public class Portlet1 extends GenericPortlet {

	public void processAction(ActionRequest request, ActionResponse response)
			throws PortletException, IOException {
		try {
			System.out.println("process action called");
			// reading parameter from form
			String text = request.getParameter("typedText");
			System.out.println("process action, value from parameter is "
					+ text);
			// setting event with value
			response.setEvent(new QName("urn:gatein:samples:event", "typedText"), text);
		} catch (Exception qeException) {
			throw new PortletException(qeException);
		}
	}

	public void doView(RenderRequest request, RenderResponse response)
			throws PortletException, IOException {
		response.setContentType("text/html");
		PortletRequestDispatcher dispatcher = getPortletContext()
				.getRequestDispatcher("/WEB-INF/jsp/portlet1_view.jsp");
		dispatcher.include(request, response);
	}
}
